Apache Tomcat 10.0.0.M1 < 10.0.0.M5 漏洞

high Nessus 插件 ID 150946

简介

远程 Apache Tomcat 服务器受到一个漏洞的影响

描述

远程主机上安装的 Tomcat 版本低于 10.0.0.M5。因此,它受到 fixed_in_apache_tomcat_10.0.0-m5_security-10 公告中提及的漏洞的影响。

- 当使用 Apache Tomcat 版本 10.0.0-M1 到 10.0.0-M4、 9.0.0.M1 到 9.0.34、8.5.0 到 8.5.54 以及 7.0.0 到 7.0.103 时,如果出现以下情况:a) 攻击者能够控制服务器上文件的内容和名称;b) 服务器配置为将 PersistenceManager 与 FileStore 一起使用;c) 为 PersistenceManager 配置了 sessionAttributeValueClassNameFilter=null(未使用 SecurityManager 时,此为默认值)或者不太严格的过滤器,允许对攻击者提供的对象进行反序列化;d) 攻击者知道从 FileStore 使用的存储位置到其控制的文件的相对文件路径,则在使用特别构建的请求的情况下,该攻击者将能够通过反序列化其控制的文件来触发远程代码执行。请注意,从 a) 到 d) 的所有条件都必须为真,攻击才能成功。(CVE-2020-9484)

请注意,Nessus 尚未测试此问题,而是只依赖于应用程序自我报告的版本号。

解决方案

升级到 Apache Tomcat 10.0.0.M5 版本或更高版本。

另见

http://www.nessus.org/u?6a7bd576

插件详情

严重性: High

ID: 150946

文件名: tomcat_10_0_0_M5.nasl

版本: 1.6

类型: combined

代理: windows, macosx, unix

系列: Web Servers

发布时间: 2021/6/22

最近更新时间: 2022/12/5

配置: 启用彻底检查

支持的传感器: Nessus Agent

风险信息

VPR

风险因素: High

分数: 8.4

CVSS v2

风险因素: Medium

基本分数: 4.4

时间分数: 3.4

矢量: AV:L/AC:M/Au:N/C:P/I:P/A:P

时间矢量: E:POC/RL:OF/RC:C

CVSS 分数来源: CVE-2020-9484

CVSS v3

风险因素: High

基本分数: 7

时间分数: 6.3

矢量: CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

时间矢量: E:P/RL:O/RC:C

漏洞信息

CPE: cpe:/a:apache:tomcat

必需的 KB 项: installed_sw/Apache Tomcat

可利用: true

易利用性: Exploits are available

漏洞发布日期: 2020/5/11

参考资料信息

CVE: CVE-2020-9484

IAVA: 2020-A-0225-S, 2020-A-0324

CEA-ID: CEA-2021-0004